Bug 801983 - pptp: free(): invalid pointer
pptp: free(): invalid pointer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pptp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 21:56 EST by Matt Domsch
Modified: 2013-02-13 21:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2012-03-09 21:56:39 EST
Description of problem:
*** glibc detected *** /usr/sbin/pptp: free(): invalid pointer: 0x0000000001aa9a30 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7dda6)[0x7f83c577bda6]
/usr/sbin/pptp[0x4068fc]
/usr/sbin/pptp[0x40434b]
/usr/sbin/pptp[0x409024]
/usr/sbin/pptp[0x402918]
/usr/sbin/pptp[0x402a72]
/usr/sbin/pptp[0x401f69]
/lib64/libc.so.6(__libc_start_main+0xed)[0x7f83c571f69d]
/usr/sbin/pptp[0x4024ad]
======= Memory map: ========
00400000-0040e000 r-xp 00000000 09:01 31459132                           /usr/sbin/pptp
0060e000-0060f000 rw-p 0000e000 09:01 31459132                           /usr/sbin/pptp
0060f000-00611000 rw-p 00000000 00:00 0 
01aa8000-01ac9000 rw-p 00000000 00:00 0                                  [heap]
7f83c52dc000-7f83c52f1000 r-xp 00000000 09:01 16515087                   /lib64/libgcc_s-4.6.2-20111027.so.1
7f83c52f1000-7f83c54f0000 ---p 00015000 09:01 16515087                   /lib64/libgcc_s-4.6.2-20111027.so.1
7f83c54f0000-7f83c54f1000 rw-p 00014000 09:01 16515087                   /lib64/libgcc_s-4.6.2-20111027.so.1
7f83c54f1000-7f83c54fd000 r-xp 00000000 09:01 16515337                   /lib64/libnss_files-2.14.90.so
7f83c54fd000-7f83c56fc000 ---p 0000c000 09:01 16515337                   /lib64/libnss_files-2.14.90.so
7f83c56fc000-7f83c56fd000 r--p 0000b000 09:01 16515337                   /lib64/libnss_files-2.14.90.so
7f83c56fd000-7f83c56fe000 rw-p 0000c000 09:01 16515337                   /lib64/libnss_files-2.14.90.so
7f83c56fe000-7f83c58ab000 r-xp 00000000 09:01 16515111                   /lib64/libc-2.14.90.so
7f83c58ab000-7f83c5aab000 ---p 001ad000 09:01 16515111                   /lib64/libc-2.14.90.so
7f83c5aab000-7f83c5aaf000 r--p 001ad000 09:01 16515111                   /lib64/libc-2.14.90.so
7f83c5aaf000-7f83c5ab1000 rw-p 001b1000 09:01 16515111                   /lib64/libc-2.14.90.so
7f83c5ab1000-7f83c5ab6000 rw-p 00000000 00:00 0 
7f83c5ab6000-7f83c5ab8000 r-xp 00000000 09:01 16515269                   /lib64/libutil-2.14.90.so
7f83c5ab8000-7f83c5cb7000 ---p 00002000 09:01 16515269                   /lib64/libutil-2.14.90.so
7f83c5cb7000-7f83c5cb8000 r--p 00001000 09:01 16515269                   /lib64/libutil-2.14.90.so
7f83c5cb8000-7f83c5cb9000 rw-p 00002000 09:01 16515269                   /lib64/libutil-2.14.90.so
7f83c5cb9000-7f83c5cdb000 r-xp 00000000 09:01 16515081                   /lib64/ld-2.14.90.so
7f83c5ea9000-7f83c5eac000 rw-p 00000000 00:00 0 
7f83c5ed8000-7f83c5ed9000 rw-p 00000000 00:00 0 
7f83c5ed9000-7f83c5eda000 rw-p 00000000 00:00 0 
7f83c5eda000-7f83c5edb000 r--p 00021000 09:01 16515081                   /lib64/ld-2.14.90.so
7f83c5edb000-7f83c5edc000 rw-p 00022000 09:01 16515081                   /lib64/ld-2.14.90.so
7f83c5edc000-7f83c5edd000 rw-p 00000000 00:00 0 
7fff39c25000-7fff39c46000 rw-p 00000000 00:00 0                          [stack]
7fff39da0000-7fff39da1000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]


Version-Release number of selected component (if applicable):
pptp-1.7.2-14.fc16.x86_64

How reproducible:
first occurance
Comment 1 Paul Howarth 2012-04-25 08:43:11 EDT
Hi Matt,

if this happens again could you try to get us a backtrace with debuginfo?
Comment 2 Fedora End Of Life 2013-02-13 21:10:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.